import { createRouter, createWebHistory, createWebHashHistory } from 'vue-router'

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      redirect: '/home'
    },
    {
      path: '/home',
      name: 'Home',
      component: () => import('@/views/Home.vue')
    },
    {
      path: '/automate',
      name: 'Automate',
      component: () => import('@/views/Automate.vue')
    },
    {
      path: '/project-info/:id',
      name: 'ProjectInfo',
      component: () => import('@/views/ProjectInfo.vue')
    },
    {
      path: '/command-info/:pid/:id',
      name: 'CommandInfo',
      component: () => import('@/views/CommandInfo.vue')
    }
  ]
})

export default router
